package com.xydl.cac.model;

import com.xydl.cac.entity.ModevTypePoint;
import com.xydl.cac.entity.NSensor;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SensorDetail<T> extends OnePage<T> {
    @ApiModelProperty("装置信息")
    private NSensor sensor;
    @ApiModelProperty("点表配置")
    private List<ModevTypePoint> points;

    public void initFrom(OnePage page) {
        this.setContent(page.getContent());
        this.setTotal(page.getTotal());
        this.setPageNum(page.getPageNum());
        this.setPageSize(page.getPageSize());
    }
}
